Skip to content
POST/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/annotations

To upload the file, use the multi-part attachment with the file component "file={file_name}". The maximum allowed file size is 4GB.

NameDescription
Content-Typemultipart/form-data
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
{major_version}The document major_version_number__v field value.
{minor_version}The document minor_version_number__v field value.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: multipart/form-data" \ -F "file=document2016.pdf" \ https://myvault.veevavault.com/api/v19.3/objects/documents/548/versions/2/1/annotations
{ "responseStatus": "SUCCESS", "responseMessage": "OK", "replies": 0, "failures": 0, "new": 0 }

On SUCCESS, Vault associates the uploaded file with the given rendition type for the document with the specified version number.